var Air =
{
    mode : 0,
    
    UP : 0,
    DOWN : 1,

    WINDOW : 0,
    
    NMUTE : 0,
    YMUTE : 1
};

Air.onLoad  = function()
{
  
    if ( Player.init() && Audio.init() && Display.init())
    {

    jQuery.support.cors = true;
    
        Display.setVolume( Audio.getVolume() );
        Display.setTime(0);
        
        Player.stopCallback = function()
        {
            Air.setWindowMode();
        }

      Player.setWindow = function() {
        this.plugin.SetDisplayArea(195, 60, 640, 360);
      }

      var url = "http://www.ntv.ru/services/live/cdn/lo.jsp";

      $.ajax({
        'url': url,
        'crossDomain' : true,
        success: function (data){
          var u = data.split('\n');
          Player.setVideoURL(u[0]+'|COMPONENT=HLS');
          Player.playVideo();
        },
        'error' : function(e) {	
            $('#log').text('error');	 
        }
      });

/*
        $.ajax({
          'url' : url,
          'dataType' : 'json', 
          'crossDomain' : true,
          'contentType' : 'application/json; charset=utf-8',	
          'success' : function(json) {
            Player.setVideoURL(json.hls+'|COMPONENT=HLS');
            Player.playVideo();
          },
          'error' : function(e) {	
            $('#log').text('error');	 
          }
        });

*/
      
      widgetAPI.sendReadyEvent();    
    
    }
    else
    {
       alert("Failed to initialise");
    }
}

Air.onUnload = function()
{
    Player.deinit();
}

Air.handlePlayKey = function()
{
    switch ( Player.getState() )
    {
    	case Player.PLAYING:
    		Player.stopVideo();
    		Player.playVideo();
    		break;
        case Player.STOPPED:
            Player.playVideo();
            break;
            
        case Player.PAUSED:
            Player.resumeVideo();
            break;
        default:
            alert("Ignoring play key, not in correct state");
            break;
    }
}

Air.handleStopKey = function()
{
    switch ( Player.getState() )
    {
        case Player.PLAYING:
            Player.stopVideo();
            break;
        
        default:
           // alert("Ignoring pause key, not in correct state");
            break;
    }
}

Air.handlePauseKey = function()
{
    switch ( Player.getState() )
    {
        case Player.PLAYING:
            Player.pauseVideo();
            break;
        
        default:
           // alert("Ignoring pause key, not in correct state");
            break;
    }
}

Air.setFullScreenMode = function()
{

    if (Main.mode != Main.FULLSCREEN)
    {
        Display.hide();
        Player.setFullscreen();
        Main.mode = Main.FULLSCREEN;
    }
alert (Main.mode);
}

Air.setWindowMode = function()
{
    if (Main.mode != this.WINDOW)
    {
        Display.show();
        Player.setWindow();
        Main.mode = this.WINDOW;
    }
}

Air.toggleMode = function()
{

  if (Player.getState() == Player.PAUSED)  {
    Player.resumeVideo();
  }

  switch (Main.mode)  {
  
  case this.WINDOW:
    this.setFullScreenMode();
    break;
        
  case Main.FULLSCREEN:
    this.setWindowMode();
    break;
            
  default:
    //  alert("ERROR: unexpected mode in toggleMode");
    break;
  }
}

Air.setMuteMode = function()
{
    if (this.mute != this.YMUTE)
    {
        var volumeElement = document.getElementById("volumeInfo");
        Audio.plugin.SetUserMute(1);

        widgetAPI.putInnerHTML(volumeElement, "MUTE");
        this.mute = this.YMUTE;
    }
}

Air.noMuteMode = function()
{
    if (this.mute != this.NMUTE)
    {
        Audio.plugin.SetUserMute(0); 

        Display.setVolume( Audio.getVolume() );
        this.mute = this.NMUTE;
    }
}

Air.muteMode = function()
{
    switch (this.mute)
    {
        case this.NMUTE:
            this.setMuteMode();
            break;
            
        case this.YMUTE:
            this.noMuteMode();
            break;
            
        default:
          //  alert("ERROR: unexpected mode in muteMode");
            break;
    }
}
