var Prog =
{
    mode : 0,
    
    UP : 0,
    DOWN : 1,

    WINDOW : 0,
    
    NMUTE : 0,
    YMUTE : 1
};

var tpid = window.location.hash,
    lastitem = 0;

tpid = parseInt(tpid.replace( /\D/g , "" ));

Prog.onLoad = function()
{

    vPage = 1;

    if ( Player.init() && Audio.init() && Display.init())
    {
        Display.setVolume( Audio.getVolume() );
        Display.setTime(0);
        
        Player.stopCallback = function()
        {
            Prog.setWindowMode();
        }

        widgetAPI.sendReadyEvent();    
    }
    else
    {
       alert("Failed to initialise");
    }
}

Prog.onUnload = function()
{
    Player.deinit();
}

Prog.handlePlayKey = function() {

  switch ( Player.getState() )  {
    	case Player.PLAYING:
    		Player.stopVideo();
    		$('#videoBox #mainpic').hide();
    		Player.playVideo();
      break;
      
      case Player.STOPPED:
        $('#videoBox #mainpic').hide();
        enterNav();
      break;
            
      case Player.PAUSED:
        $('#videoBox #mainpic').hide();
        Player.resumeVideo();
      break;
      
      default:
        alert("Ignoring play key, not in correct state");
      break;
    }
}

Prog.handleStopKey = function()
{
    switch ( Player.getState() )
    {
        case Player.PLAYING:
            $('#videoBox #mainpic').show();
            Player.stopVideo();
            break;
        
        default:
           // alert("Ignoring pause key, not in correct state");
            break;
    }
}
Prog.handlePauseKey = function()
{
    switch ( Player.getState() )
    {
        case Player.PLAYING:
            Player.pauseVideo();
            break;
        
        default:
           // alert("Ignoring pause key, not in correct state");
            break;
    }
}
Prog.setFullScreenMode = function()
{
    if (Main.mode != Main.FULLSCREEN)
    {
        Display.hide();
        Player.setFullscreen();
        Main.mode = Main.FULLSCREEN;
    }
}

Prog.setWindowMode = function()
{
    if (Main.mode != this.WINDOW)
    {
        Display.show();
        Player.setWindow();
        Main.mode = this.WINDOW;
    }
}

Prog.toggleMode = function()
{

  if (Player.getState() == Player.PAUSED)  {
    Player.resumeVideo();
  }

  switch (Main.mode)  {
  
  case this.WINDOW:
    if (Player.getState() == Player.PLAYING || Player.getState() == Player.PAUSED)
      this.setFullScreenMode();
    break;
        
  case Main.FULLSCREEN:
    this.setWindowMode();
    break;
            
  default:
    //  alert("ERROR: unexpected mode in toggleMode");
    break;
  }
}


Prog.setMuteMode = function()
{
    if (this.mute != this.YMUTE)
    {
        var volumeElement = document.getElementById("volumeInfo");
        Audio.plugin.SetUserMute(1);

        widgetAPI.putInnerHTML(volumeElement, "MUTE");
        this.mute = this.YMUTE;
    }
}

Prog.noMuteMode = function()
{
    if (this.mute != this.NMUTE)
    {
        Audio.plugin.SetUserMute(0); 
        Display.setVolume( Audio.getVolume() );
        this.mute = this.NMUTE;
    }
}

Prog.muteMode = function()
{
    switch (this.mute)
    {
        case this.NMUTE:
            this.setMuteMode();
            break;
            
        case this.YMUTE:
            this.noMuteMode();
            break;
            
        default:
          //  alert("ERROR: unexpected mode in muteMode");
            break;
    }
}

  function enterNav() {

    var e = current;
    var block = e.parent().attr('id');
    
    if (block != '' && block != 'undefined') {

      switch(block) {
  
        case 'mainmenu':
          var m = e.attr('title');
          if (m == 'news') document.location.href = "index.html";
          else document.location.href = m+"_list.html";
        break;
        
        case 'videoList': 
         Player.stopVideo();
         var idx = e.attr('idx');
         var img = e.attr("data-img");
         var vid = e.attr("data-video");
         var lid = e.find('.lid').text();
         var ttl = e.find('.title').text();
         $('#videoBox #mainpic').attr('src',img).show();
         $('#videoBox .descr h1').text(ttl);
         $('#videoBox .descr .lid').text(lid);
         if (vid != null && vid != "") {
          $('#videoBox_bottom').show();
           $('#videoBox #mainpic').hide();    
           Player.setVideoURL(vid);
           Player.playVideo();
        } else {
          $('#videoBox_bottom').hide();
        }

        break;
        
        default:
        alert (block);
        break;
      }
    }
  }

  function videoListUp (idx) {
    if (idx == 0 && vPage > 1) {
    nav = 0;
      var url  = "http://www.ntv.ru/exp/smart/jissues.jsp";
      $.get(url, {"page" : vPage - 1,"id":tpid,"dir":1}, function(data) {
        vPage --;
        var divElement = document.getElementById("videoList");
        widgetAPI.putInnerHTML(divElement, data);
        current=activeItem();
        nav = 1;
      });
    } 
  }

  function videoListDown (idx) {
    if (idx == 5) {
    nav = 0;
      var url  = "http://www.ntv.ru/exp/smart/jissues.jsp";
      $.get(url, {"page" : vPage + 1,"id":tpid,"dir":0}, function(data) {
        var divElement = document.getElementById("videoList");
         val = jQuery.trim(data);
         if(!(val && val.length > 0) || val.indexOf("<!-- END OF LIST -->") >= 0) {
         } else {
           vPage ++;
           widgetAPI.putInnerHTML(divElement, data);
           current=activeItem();
         }
        nav = 1;
      }); 
    }
  }